package com.zcxk.rmcp.web.excel.model;

import com.zcxk.rmcp.core.entity.ImportFile;
import com.zcxk.rmcp.core.entity.InstallList;
import com.zcxk.rmcp.core.entity.InstallPlan;
import com.zcxk.rmcp.core.entity.InstallPlanData;
import lombok.Data;

import java.util.*;
import java.util.concurrent.atomic.AtomicInteger;

import static com.google.common.collect.Lists.newArrayList;

/**
 * @author linqingwei
 * @date 2021-07-23 16:11
 */
@Data
public class ExcelData {
    private ImportFile importFile;
    private InstallPlan installPlan;
    private AtomicInteger successNum = new AtomicInteger(0);
    private AtomicInteger failNum = new AtomicInteger(0);
    List<InstallPlanData> installPlanDataList = newArrayList();
    Set<String> deviceTypeSet = new HashSet<String>();
    Map<String,InstallPlanData> buildingMap = new HashMap<>();
    Map<String,InstallPlanData> unitMap = new HashMap<>();
    Map<String,InstallPlanData> floorMap = new HashMap<>();
    Map<String,InstallPlanData> doorMap = new HashMap<>();
    List<InstallList> installList = newArrayList();
    Integer enableUnit = 0;
    InstallPlanInfoData installPlanInfoData = new InstallPlanInfoData();

}
